ClarisWksStyleManager.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWEntry.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParser.hxx"`
`#include "ClarisWksDocument.hxx"`
`#include "ClarisWksText.hxx"`
`#include "ClarisWksStyleManager.hxx"`

## Classes

struct | ClarisWksStyleManagerInternal::Pattern
| Internal: the pattern of a ClarisWksStyleManager. More...
struct | ClarisWksStyleManagerInternal::Gradient
| Internal: the gradient of a ClarisWksStyleManager. More...
struct | ClarisWksStyleManagerInternal::State
| Internal: the state of a ClarisWksStyleManager. More...

## Namespaces

namespace | ClarisWksStyleManagerInternal
| Internal: the structures of a ClarisWksStyleManagerInternal.

## Functions

std::ostream & | operator<< (std::ostream &o, ClarisWksStyleManager::KSEN const &ksen)
std::ostream & | operator<< (std::ostream &o, ClarisWksStyleManager::Style const &style)
std::ostream & | operator<< (std::ostream &o, ClarisWksStyleManager::CellFormat const &form)

## Function Documentation

## operator<<() [1/3]

std::ostream & operator<< | ( | std::ostream & | o,
|  | ClarisWksStyleManager::CellFormat const & | form )

## operator<<() [2/3]

std::ostream & operator<< | ( | std::ostream & | o,
|  | ClarisWksStyleManager::KSEN const & | ksen )

## operator<<() [3/3]

std::ostream & operator<< | ( | std::ostream & | o,
|  | ClarisWksStyleManager::Style const & | style )